

minetest.register_node("pmb_underworld:worknode_ceiling", {
    description = "Lava Rock",
    groups = { not_in_creative_inventory = 1, underworld = 1, oddly_breakable_by_hand = 3, magicky = 1, solid = 1, suffocates = 2, fuel = 10 },
    tiles = {"pmb_underworld_lava_rock.png^[colorize:#444466:200"},
    drop = "pmb_underworld:lava_rock",
    sounds = pmb_sounds.default_stone(),
    light_source = pmb_underworld.lava_rock_light,
})

minetest.register_node("pmb_underworld:worknode_soil", {
    description = "Lava Rock",
    groups = { item_lava_rock = 1, underworld = 1, oddly_breakable_by_hand = 3, magicky = 1, solid = 1, suffocates = 2, fuel = 10 },
    tiles = {"pmb_underworld_lava_rock.png^[colorize:#447777:200"},
    drop = "pmb_underworld:lava_rock",
    sounds = pmb_sounds.default_stone(),
    light_source = pmb_underworld.lava_rock_light,
})

minetest.register_node("pmb_underworld:worknode_dust", {
    description = "Lava Rock",
    groups = { not_in_creative_inventory = 1, underworld = 1, oddly_breakable_by_hand = 3, magicky = 1, solid = 1, suffocates = 2, fuel = 10 },
    tiles = {"pmb_underworld_lava_rock.png^[colorize:#991177:200"},
    drop = "pmb_underworld:lava_rock",
    sounds = pmb_sounds.default_stone(),
    light_source = pmb_underworld.lava_rock_light,
})

minetest.register_node("pmb_underworld:worknode_topsoil", {
    description = "Lava Rock",
    groups = { not_in_creative_inventory = 1, underworld = 1, oddly_breakable_by_hand = 3, magicky = 1, solid = 1, suffocates = 2, fuel = 10 },
    tiles = {"pmb_underworld_lava_rock.png^[colorize:#116611:200"},
    drop = "pmb_underworld:lava_rock",
    sounds = pmb_sounds.default_stone(),
    light_source = pmb_underworld.lava_rock_light,
})

minetest.register_node("pmb_underworld:workaround_node", {
    description = "workaround_node",
    groups = { solid = 0 },
    tiles = {"pmb_underworld_glowrock.png^[colorize:#ffffff:255"},
    sounds = pmb_sounds.default_stone(),
    light_source = 14,
})
